%{?nodejs_find_provides_and_requires}
%global srcname matrix-js-sdk
%global enable_tests 0
# tests disabled until dev dependencies are available

Name:	        nodejs-%{srcname}
Version:	    0.7.5
Release:	    2%{?dist}
Summary:	    Matrix Client-Server SDK for Javascript

Group:		    Development/Tools
License:	    Apache-2.0
URL:		    https://github.com/matrix-org/matrix-js-sdk
Source0:        https://registry.npmjs.org/matrix-js-sdk/-/matrix-js-sdk-%{version}.tgz

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(q)
BuildRequires:  npm(request)
BuildRequires:  npm(another-json)
BuildRequires:  npm(olm)

%description
This is the Matrix Client-Server v1/v2 alpha SDK for JavaScript.

%prep
%setup -q -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js browser-index.js src/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr src %{buildroot}%{nodejs_sitelib}/%{srcname}/lib


%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/jasmine
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Tue Apr 25 2017 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.7.5-2
- Add babel

* Tue Mar 28 2017 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.7.5-1
- Initial packaging
